Xalan-Java 2.7.1: Interface NodeIterator

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc
Interface NodeIterator

All Known Implementing Classes:
  NodeIteratorBase

public interface NodeIterator
extends java.lang.Cloneable

Field Summary
`static int` | `END`

Method Summary
`NodeIterator` | `cloneIterator()` Returns a deep copy of this iterator.
`int` | `getLast()` Returns the number of elements in this iterator.
`int` | `getPosition()` Returns the position of the current node in the set.
`void` | `gotoMark()` Restores the current node remembered by setMark().
`boolean` | `isReverse()` True if this iterator has a reversed axis.
`int` | `next()` Callers should not call next() after it returns END.
`NodeIterator` | `reset()` Resets the iterator to the last start node.
`void` | `setMark()` Remembers the current node for the next call to gotoMark().
`void` | `setRestartable(boolean isRestartable)` Prevents or allows iterator restarts.
`NodeIterator` | `setStartNode(int node)` Set start to END should 'close' the iterator, i.e.

Field Detail

### END

    public static final int END

Method Detail

### next

    public int next()

  Callers should not call next() after it returns END.

### reset

    public NodeIterator reset()

  Resets the iterator to the last start node.

### getLast

    public int getLast()

  Returns the number of elements in this iterator.

### getPosition

    public int getPosition()

  Returns the position of the current node in the set.

### setMark

    public void setMark()

  Remembers the current node for the next call to gotoMark().

### gotoMark

    public void gotoMark()

  Restores the current node remembered by setMark().

### setStartNode

    public NodeIterator setStartNode(int node)

  Set start to END should 'close' the iterator, i.e. subsequent call to next() should return END.

### isReverse

    public boolean isReverse()

  True if this iterator has a reversed axis.

### cloneIterator

    public NodeIterator cloneIterator()

  Returns a deep copy of this iterator.

### setRestartable

    public void setRestartable(boolean isRestartable)

  Prevents or allows iterator restarts.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache XML Project. All Rights Reserved.